#ifndef COMMON_H
#define COMMON_H

#include <stdio.h>

#include <AppKit.h>
#include <InterfaceKit.h>
#include <String.h>
#include <StorageKit.h>

/***************************************************
	common.h
	Constants used by all the different mechanisms in Deskscope

	2000 Shamyl Zakariya
***************************************************/

#define APP_SIG "application/x-vnd.zakariya.deskscope" 
#define SETTINGS_FILE "x-vnd.zakariya.Deskscope_settings"

//names of data segments in storage file
#define EYEDROPPER_COPY_MODE "eye_hex"
#define EYEDROPPER_CLICK_TO_QUIT "eye_click_to_quit"
#define MAGNIFY_WINDOW_SIZE "mag_window"
#define MAGNIFY_MAG_LEVEL "mag_level"
#define MAGNIFY_CLICK_TO_QUIT "mag_click_to_quit"
#define DESKSCOPE_APP_PATH "deskscope_app_path"

//used by magnifier, indicates it should grab a new
//snapshot of screen and magnify it
#define Z_UPDATE_SNIPPET 'zUPD'

//messages thrown by settings window to eyedropper and magnifier
#define Z_SET_CLICK_TO_QUIT 'zCTQ'
#define Z_SET_COPY_MODE 'zSCM'
#define Z_SET_MAGNIFICATION 'zSMG'
#define Z_SET_WINDOW_SIZE 'zSWZ'


//start & stop messages sent by managing looper
//to eyedropper and magnifier
#define Z_WAKE_UP 'zWKP'
#define Z_GO_AWAY 'zGWY'

//sent by magnifier or eyedropper to TrayView (owner)
//to signal they they just closed
#define MAGNIFY_WENT_TO_SLEEP 'zMCL'
#define EYEDROPPER_WENT_TO_SLEEP 'zECL'


//used to start and stop eyedropper or magnifier
#define START_EYEDROPPER 'zSED'
#define STOP_EYEDROPPER 'zEED'

#define START_MAGNIFIER 'zSMG'
#define STOP_MAGNIFIER 'zEMG'



#endif