#ifndef ICON_H
#define ICON_H

#include <Archivable.h>
#include <ClassInfo.h>

#include "common.h"
#include "eyedropper.h"
#include "magnifier.h"
#include "settings.h"
#include "tray_view.h"
#include "logoview.h"

#include "zlayout.h"


#define ADD_TO_TRAY 'zATT'

class FireUpApp: public BApplication{
	protected:
		bool _directToDeskbar;

	public:
		FireUpApp();
		virtual ~FireUpApp();
		virtual bool QuitRequested() { return true; }
		virtual void ArgvReceived(int32 argc, char ** args);		
		virtual void ReadyToRun();
};


class FrontWindow: public BWindow{
	protected:
		LogoView *_lv;
		TrayView *_tv;
		bool _persist;
		
	public:
		FrontWindow();
		virtual ~FrontWindow();
		virtual bool QuitRequested();
		virtual void MessageReceived(BMessage* message);
		virtual void Hide();
		virtual void Show();
		virtual void WindowActivated(bool a);
};


#endif