#ifndef LOGOVIEW_H
#define LOGOVIEW_H

#include <Rect.h>
#include <View.h>
#include <Window.h>
#include <Bitmap.h>
#include <String.h>
#include <Path.h>
#include <MessageRunner.h>
#include <TranslationUtils.h>

#define Z_REDRAW_LOGO 'Zrdl'

class LogoView: public BView{
	private:
		BBitmap *_logo;
		float _dx, _dy;
		BRect _swatch;
		
		int32 _frame;
		BMessageRunner *_updater;

	public:
		LogoView(BPath iconPath, BRect frame);

		virtual ~LogoView();
				
		virtual void Draw(BRect updateRect );
		virtual void AttachedToWindow();
		virtual void MessageReceived(BMessage* message);
		virtual void GetPreferredSize(float *width, float *height);
		
		void StartAnimation(uint32 fps = 24);
		void StopAnimation();
};

#endif