#ifndef EYEDROPPER_H
#define EYEDROPPER_H

#include "common.h"

class SwatchView;
class SwatchWindow: public BWindow{
	protected:
		BMessenger *_ownerMessenger;
		SwatchView *_sv;
		bool _hexToClipboard;
		bool _asleep;
		bool _clickToQuit;
		
		void WakeUp();
		void GoToSleep();

	public:
		SwatchWindow();
		virtual ~SwatchWindow();
		//virtual bool QuitRequested();
		virtual void MessageReceived(BMessage* message);
		virtual void WindowActivated(bool t);
		
		void SetHEXToClipboard(bool h) { _hexToClipboard = h; }
		
		void SetOwner(BView *owner);
};

class SwatchView: public BView{
	protected:
		BRect _screenRect;
		BBitmap *_screenSnip;
		
		rgb_color _dropColor;
		
		char _rgbColorString[64], _hexColorString[64];
		
	public:
		SwatchView(BRect frame);
		virtual ~SwatchView();
		virtual void Draw(BRect updateRect );
		virtual void AttachedToWindow();
		virtual void MessageReceived(BMessage* message);
		virtual void MouseMoved(BPoint p, uint32 transit, const BMessage *msg);
		
		BString GetRGBString();
		BString GetHEXString();
};

#endif