#ifndef MAGNIFY_H
#define MAGNIFY_H

#include <stdio.h>

#include <AppKit.h>
#include <InterfaceKit.h>

#include "common.h"

class MagnifyView;
class MagnifyWindow: public BWindow{
	protected:
		BMessenger *_ownerMessenger;
		MagnifyView *_mv;
		bool _clickToQuit;
		double _magnification;
		
		bool _asleep;
		
		void WakeUp();
		void GoToSleep();		

	public:
		MagnifyWindow();
		virtual ~MagnifyWindow();
		virtual void MessageReceived(BMessage* message);
		virtual void WindowActivated(bool t);
		
		void SetOwner(BView *owner);
};

class MagnifyView: public BView{
	protected:
		BMessageRunner *_mr;

		bool _shiftDown;
		BPoint _shiftDownAt;
		
		BRect _magnifyRect;
		BBitmap *_screenSnip;

		BPoint _mouseLoc;
		
		double _magnification;

		
		void _checkForShiftKey(BPoint *p);
		void _snapToOrthogonal(BPoint *p);
		void _positionMagnifyRect(BRect *screenFrame, BPoint *mouseLoc);

	public:
		MagnifyView(BRect frame);
		virtual ~MagnifyView();

		virtual void AttachedToWindow();		

		virtual void Draw(BRect r);
		virtual void MessageReceived(BMessage *m);
		virtual void MouseMoved(BPoint p, uint32 transit, const BMessage *msg);

		void SetMagnification(double m);
		double GetMagnification();


		void StartWatching();
		void StopWatching();		
};

#endif