#ifndef FRONTEND_H
#define FRONTEND_H

#include <stdlib.h>

#include <AppKit.h>
#include <InterfaceKit.h>
#include <String.h>
#include <List.h>

#include "zlayout.h"

class TestView : public BView{
	protected:
		float _prefWidth, _prefHeight;

	public:
		TestView(BRect frame, const char* name, uint32 follow = B_FOLLOW_NONE, uint32 flags = B_WILL_DRAW | B_FULL_UPDATE_ON_RESIZE);
		~TestView();
		
		virtual void Draw(BRect update);
		virtual void AttachedToWindow();
		
		void SetPreferredSize(float w, float h);
		virtual void GetPreferredSize(float *w, float *h);
};


class StubWindow: public BWindow{
	private:

		
	public:
		StubWindow();
		virtual ~StubWindow();
		virtual bool QuitRequested();
		virtual void MessageReceived(BMessage* message);
};



class LayoutApp: public BApplication{
	private:
		StubWindow * _window;

	public:
		LayoutApp();
		virtual ~LayoutApp();
		void AboutRequested();
		
		void MessageReceived(BMessage* message);
};

#endif