#include "zlayout.h"

ZWindowZoomer::ZWindowZoomer(ZLayoutView *lv)
	: BMessageFilter(B_ZOOM)
{
	_topmostView = lv;
}

ZWindowZoomer::~ZWindowZoomer(){}

filter_result ZWindowZoomer::Filter(BMessage *msg, BHandler **target)
{
	//all ZLayoutViews have a ZWindowZoomer * but only the topmost has 
	//allocated one and put it into the CommonFilter of the Window. This will
	//be called iff the window receives a Zoom() notification -- since the topmost
	//view knows how big the window should be, we hand responsibility to that view
	//freeing you from having to implement BWindow::Zoom()
	
	if (_topmostView)
		_topmostView->ResizeToPreferred();

	return B_SKIP_MESSAGE;
}
